summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-chemistry/avogadro/files/avogadro-1.1.1-eigen3.patch')
-rw-r--r--sci-chemistry/avogadro/files/avogadro-1.1.1-eigen3.patch51
1 files changed, 0 insertions, 51 deletions
diff --git a/sci-chemistry/avogadro/files/avogadro-1.1.1-eigen3.patch b/sci-chemistry/avogadro/files/avogadro-1.1.1-eigen3.patch
deleted file mode 100644
index dc07d6974e1..00000000000
--- a/sci-chemistry/avogadro/files/avogadro-1.1.1-eigen3.patch
+++ /dev/null
@@ -1,51 +0,0 @@
---- avogadro-1.1.1/CMakeLists.txt.omv~ 2014-01-30 13:58:22.999443609 +0100
-+++ avogadro-1.1.1/CMakeLists.txt 2014-01-30 13:59:31.086106925 +0100
-@@ -230,13 +230,15 @@ if(NOT Linguist_FOUND)
- message(WARNING " Qt4 Linguist not found, please install it if you want Avogadro translations")
- endif()
-
--find_package(Eigen3) # find and setup Eigen3 if available
-+find_package(Eigen3 REQUIRED) # find and setup Eigen3 if available
- if(NOT EIGEN3_FOUND)
- message(STATUS "Cannot find Eigen3, trying Eigen2")
-- find_package(Eigen2 REQUIRED) # Some version is required
-+ find_package(Eigen2) # Some version is required
- else()
- # Use Stage10 Eigen3 support
- set (EIGEN2_SUPPORT_STAGE10_FULL_EIGEN2_API TRUE)
-+ add_definitions (-DEIGEN2_SUPPORT_STAGE10_FULL_EIGEN2_API)
-+ set (EIGEN2_INCLUDE_DIR ${EIGEN3_INCLUDE_DIR})
- endif()
-
- find_package(ZLIB REQUIRED)
---- avogadro-1.1.1/libavogadro/src/extensions/qtaim/CMakeLists.txt.omv~ 2014-01-30 14:12:33.859401753 +0100
-+++ avogadro-1.1.1/libavogadro/src/extensions/qtaim/CMakeLists.txt 2014-01-30 14:15:07.652727522 +0100
-@@ -4,6 +4,8 @@ set(LINK_LIBS avogadro)
- set(PLUGIN_LABEL extensions)
- set(PLUGIN_TARGET extensions)
-
-+add_definitions(-DEIGEN2_SUPPORT_STAGE20_RESOLVE_API_CONFLICTS -std=gnu++11)
-+
- set(qtaimextension_SRCS
- qtaimextension.cpp
- # qtaimdialog.cpp
---- avogadro-1.1.1/libavogadro/src/extensions/surfaces/openqube/CMakeLists.txt.omv~ 2014-01-30 13:59:05.889441500 +0100
-+++ avogadro-1.1.1/libavogadro/src/extensions/surfaces/openqube/CMakeLists.txt 2014-01-30 13:59:08.832774688 +0100
-@@ -1,5 +1,5 @@
- find_package(Qt4 4.6 REQUIRED)
--find_package(Eigen2 REQUIRED)
-+find_package(Eigen3 REQUIRED)
-
- include_directories(${QT_INCLUDE_DIR} ${EIGEN2_INCLUDE_DIR})
-
---- avogadro-1.1.1/cmake/modules/AvogadroUse.cmake.orig 2014-10-13 20:13:59.909828034 +0100
-+++ avogadro-1.1.1/cmake/modules/AvogadroUse.cmake 2014-10-13 20:15:09.492822908 +0100
-@@ -12,7 +12,7 @@
-
- # Add the Avogadro modules directory to the CMake module path
- set(CMAKE_MODULE_PATH ${Avogadro_PLUGIN_DIR}/cmake ${CMAKE_MODULE_PATH})
--find_package(Eigen2 REQUIRED)
-+find_package(Eigen3 REQUIRED)
- include_directories(${EIGEN2_INCLUDE_DIR})
- if(Avogadro_ENABLE_GLSL)
- find_package(GLEW)